#include <SPI.h>
#include <MFRC522.h>

#define SS_PIN 10
#define RST_PIN 5
#define LED_PIN_Y 3
#define LED_PIN_N 2
const byte uid[4] = {0xF9, 0x7E, 0x9D, 0x2B};

MFRC522 rfid(SS_PIN, RST_PIN);

void setup() {
	SPI.begin();
	rfid.PCD_Init();
	pinMode(LED_PIN_Y, OUTPUT);
	pinMode(LED_PIN_N, OUTPUT);
}

void loop() {
	if (rfid.PICC_IsNewCardPresent()) {
		if (rfid.PICC_ReadCardSerial()) {
			for (int i = 0; i < rfid.uid.size; i++) {
				if (rfid.uid.uidByte[i] == uid[i]) {
					digitalWrite(LED_PIN_Y, HIGH);
					delay(500);
					digitalWrite(LED_PIN_Y, LOW);
				} else {
					digitalWrite(LED_PIN_N, HIGH);
					delay(500);
					digitalWrite(LED_PIN_N, LOW);
				}
			}
		}
	}
}
